apiVersion: v1
kind: Secret
metadata:
  name: {{ postfix_name }}
  namespace: {{ namespace }}
stringData:
  saslauthd.conf: |
    auxprop_plugin: ldapdb
    ldap_auth_method: bind
    ldap_bind_dn: cn=postfix,ou=services,{{ ldap_secret.resources[0].data['directory-root'] | b64decode }}
    ldap_bind_pw: {{ ldap_secret.resources[0].data['postfix-password'] | b64decode }}
    ldap_default_domain: {{ ldap_root_domain }}
{% if do_fusion %}
    ldap_filter: (|(&(objectClass=person)(cn=cyrus)(cn=%u))(&(objectClass=gosaAccount)(|(uid=%u)(mail=%u)(mail=%u@{{ ldap_root_domain }}))))
{% else %}
    ldap_filter: (|(&(objectClass=person)(cn=cyrus)(cn=%u))(&(objectClass={{ postfix_ldap_user_objectclass }})(|(uid=%u)(mail=%u)(mail=%u@{{ ldap_root_domain }}))))
{% endif %}
    ldap_search_base: ou=users,{{ ldap_secret.resources[0].data['directory-root'] | b64decode }}
{% if ldaps_address | default(False) %}
    ldap_servers: {{ ldaps_address }}
{% else %}
    ldap_servers: {{ ldap_address }}
{% endif %}
    ldap_scope: sub
{% if ldaps_address | default(False) and skip_ldap_verify | default(False) %}
    ldap_tls_check_peer: no
{% elif ldaps_address | default(False) %}
    ldap_tls_check_peer: yes
{% if k8s_flavor != 'openshift' and tls_provider == 'internalca' %}
    ldap_tls_cacert_file: /certs/ca.crt
{% elif k8s_flavor == 'openshift' %}
    ldap_tls_cacert_file: /run/secrets/kubernetes.io/serviceaccount/ca.crt
{% else %}
    ldap_tls_cacert_dir: /etc/ssl/certs/
{% endif %}
{% endif %}
    ldap_version: 3
